WordPress.org

Make WordPress Core


Ignore:
Timestamp:
08/20/2017 12:30:26 PM (4 years ago)
Author:
johnbillion
Message:

Build/Test tools: Don't skip tests which rely on OpenSSL when the openssl extension isn't loaded.

See #41676

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/tests/phpunit/tests/image/functions.php

    r40532 r41278  
    309309
    310310        if ( ! extension_loaded( 'openssl' ) ) {
    311             $this->markTestSkipped( 'Tests_Image_Functions::test_wp_crop_image_url() requires openssl.' );
     311            $this->fail( 'Tests_Image_Functions::test_wp_crop_image_url() requires openssl.' );
    312312        }
    313313
     
    333333    public function test_wp_crop_image_url_not_exist() {
    334334        if ( ! extension_loaded( 'openssl' ) ) {
    335             $this->markTestSkipped( 'Tests_Image_Functions::test_wp_crop_image_url_not_exist() requires openssl.' );
     335            $this->fail( 'Tests_Image_Functions::test_wp_crop_image_url_not_exist() requires openssl.' );
    336336        }
    337337
Note: See TracChangeset for help on using the changeset viewer.